Index: tests/Fragmentations/Fragmenting/tartaric_acid/pre/tartaric_acid.xyz
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/pre/tartaric_acid.xyz	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/pre/tartaric_acid.xyz	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,18 @@
+16
+NCI NSC 148314 Uvic acid
+C    0.4795    0.2278   -0.5961
+C   -0.4795    0.2278    0.5961
+C    1.9014    0.2278   -0.0969
+O    0.2532   -0.9390   -1.3895
+C   -1.9014    0.2278    0.0969
+O   -0.2532   -0.9390    1.3894
+O    2.6448   -0.6784   -0.3905
+O    2.3422    1.2345    0.6738
+O   -2.6447   -0.6784    0.3905
+O   -2.3422    1.2345   -0.6738
+H    0.3069    1.1178   -1.2012
+H   -0.3069    1.1177    1.2013
+H    0.4163   -1.7017   -0.8178
+H   -0.4162   -1.7017    0.8178
+H    3.2546    1.2345    0.9941
+H   -3.2546    1.2345   -0.9940
Index: tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order1.at
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order1.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### tartaric_acid - order 1
+
+AT_SETUP([Fragmentations - tartaric_acid order 1])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=tartaric_acid
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=10
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 1 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order2.at
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order2.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### tartaric_acid - order 2
+
+AT_SETUP([Fragmentations - tartaric_acid order 2])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=tartaric_acid
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=19
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 2 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order3.at
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order3.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### tartaric_acid - order 3
+
+AT_SETUP([Fragmentations - tartaric_acid order 3])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=tartaric_acid
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=31
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 3 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order4.at
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order4.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### tartaric_acid - order 4
+
+AT_SETUP([Fragmentations - tartaric_acid order 4])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=tartaric_acid
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=47
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 4 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order5.at
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order5.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order5.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### tartaric_acid - order 5
+
+AT_SETUP([Fragmentations - tartaric_acid order 5])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=tartaric_acid
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=67
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 5 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
Index: tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order6.at
===================================================================
--- tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order6.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
+++ tests/Fragmentations/Fragmenting/tartaric_acid/testsuite-fragmenting-tartaric_acid-order6.at	(revision 878044f2802b7b4799a56748e65367ee5b94e541)
@@ -0,0 +1,21 @@
+### tartaric_acid - order 6
+
+AT_SETUP([Fragmentations - tartaric_acid order 6])
+AT_KEYWORDS([fragmentation non-convex-envelope])
+
+MOL=tartaric_acid
+DISTANCE="2."
+FILENAME="BondFragment"
+
+FragNo=90
+
+file=${MOL}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Fragmentations/Fragmenting/${MOL}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+AT_CHECK([../../molecuilder -i $file -I --select-molecule-by-id 0 -f $FILENAME --order 6 --distance $DISTANCE], 0, [stdout], [stderr])
+AT_CHECK([ls ${FRAGMENTPREFIX}*.conf | wc -l], 0, [stdout], [stderr])
+AT_CHECK([grep $FragNo stdout], 0, [stdout], [stderr])
+
+AT_CLEANUP
+
